package com.ruoyi.project.training.service.impl;

import com.ruoyi.project.training.domain.TByxWorkcertificate;
import com.ruoyi.project.training.mapper.TByxWorkcertificateMapper;
import com.ruoyi.project.training.service.ITByxWorkcertificateService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 作业证书一览Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-01
 */
@Service
public class TByxWorkcertificateServiceImpl implements ITByxWorkcertificateService
{
    @Resource
    private TByxWorkcertificateMapper tByxWorkcertificateMapper;

    /**
     * 查询作业证书一览
     *
     * @param id 作业证书一览ID
     * @return 作业证书一览
     */
    @Override
    public TByxWorkcertificate selectTByxWorkcertificateById(Long id)
    {
        return tByxWorkcertificateMapper.selectTByxWorkcertificateById(id);
    }

    @Override
    public TByxWorkcertificate selectTByxWorkcertificateByEmployeeid(String employeeid)
    {
        return tByxWorkcertificateMapper.selectTByxWorkcertificateByEmployeeid(employeeid);
    }

    /**
     * 查询作业证书一览列表
     *
     * @param tByxWorkcertificate 作业证书一览
     * @return 作业证书一览
     */
    @Override
    public List<TByxWorkcertificate> selectTByxWorkcertificateList(TByxWorkcertificate tByxWorkcertificate)
    {
        return tByxWorkcertificateMapper.selectTByxWorkcertificateList(tByxWorkcertificate);
    }

    /**
     * 定时任务查询作业证书一览列表
     *
     * @param tByxWorkcertificate 作业证书一览
     * @return 作业证书一览集合
     */
    @Override
    public List<TByxWorkcertificate> selectList(TByxWorkcertificate tByxWorkcertificate) {
        return tByxWorkcertificateMapper.selectList(tByxWorkcertificate);
    }

    /**
     * 新增作业证书一览
     *
     * @param tByxWorkcertificate 作业证书一览
     * @return 结果
     */
    @Override
    public int insertTByxWorkcertificate(TByxWorkcertificate tByxWorkcertificate)
    {
        return tByxWorkcertificateMapper.insertTByxWorkcertificate(tByxWorkcertificate);
    }

    /**
     * 修改作业证书一览
     *
     * @param tByxWorkcertificate 作业证书一览
     * @return 结果
     */
    @Override
    public int updateTByxWorkcertificate(TByxWorkcertificate tByxWorkcertificate)
    {
        return tByxWorkcertificateMapper.updateTByxWorkcertificate(tByxWorkcertificate);
    }


    /**
     * 根据员工编号修改作业证书一览
     *
     * @param tByxWorkcertificate 作业证书一览
     * @return 结果
     */
    @Override
    public int updateTByxWorkcertificateByEmployeeid(TByxWorkcertificate tByxWorkcertificate)
    {
        return tByxWorkcertificateMapper.updateTByxWorkcertificateByEmployeeid(tByxWorkcertificate);
    }



    /**
     * 批量删除作业证书一览
     *
     * @param ids 需要删除的作业证书一览ID
     * @return 结果
     */
    @Override
    public int deleteTByxWorkcertificateByIds(Long[] ids)
    {
        return tByxWorkcertificateMapper.deleteTByxWorkcertificateByIds(ids);
    }

    /**
     * 删除作业证书一览信息
     *
     * @param id 作业证书一览ID
     * @return 结果
     */
    @Override
    public int deleteTByxWorkcertificateById(Long id)
    {
        return tByxWorkcertificateMapper.deleteTByxWorkcertificateById(id);
    }
}
